### Switches for Help and Tracing

The first two of the following switches are self-explanatory. When problems arise in processing a document, the switches `-debug` and `-verbosity` will each cause LATEX2`HTML` to generate more output to the screen. These extra messages should help to locate the cause of the problem.

-tmp `<path>`
  Define a temporary directory to use for image generation. If `<path>` is 0, the standard temporary directory `/tmp` is used.
-h(elp)
  Print out the list of all command-line options.

-v
  Print the current version of LATEX2`HTML`.

-debug
  Same as setting: `$DEBUG``= 1;`
  Run in debug-mode, displaying messages and/or diagnostic information about files read, and utilities called by LATEX2`HTML`. Shows any messages produced by these calls.

  More extensive diagnostics, from the Perl debugger, can be obtained by appending the string ``-w-`' to the 1st line of the `latex2html` (and other) Perl script(s).

-verbosity `<num>`
  Same as setting: `$VERBOSITY``= `<num>`;`
  Display messages revealing certain aspects of the processing performed by LATEX2`HTML` on the provided input file(s). The `<num>` parameter can be an integer in the range 0 to 8. Each higher value adds to the messages produced.

  0.
    No special tracing; as for versions of LATEX2`HTML` prior to V97.1.

  1.
    (This is the default.) Show section-headings and the corresponding `HTML` file names, and indicators that major stages in the processing have been completed.

  2.
    Print environment names and identifier numbers, and new theorem-types. Show warnings as they occur, and indicators for more stages of processing. Print names of files for storing auxiliary data arrays.

  3.
    Print command names as they are encountered and processed; also any unknown commands encountered while pre-processing. Show names of new commands, environments, theorems, counters and counter-dependencies, for each document partition.

  4.
    Indicate command-substitution the pre-process of math-environments. Print the contents of unknown environments for processing in LATEX, both before and after reverting to LATEX source. Show all operations affecting the values of counters. Also show links, labels and sectioning keys, at the stages of processing.

  5.
    Detail the processing in the document preamble. Show substitutions of new environments. Show the contents of all recognised environments, both before and after processing. Show the cached/encoded information for the image keys, allowing two images to be tested for equality.

  6.
    Show replacements of new commands, accents and wrapped commands.

  7.
    Trace the processing of commands in math mode; both before and after.

  8.
    Trace the processing of all commands, both before and after.

  The command-line option sets an initial value only. During processing the value of `$VERBOSITY` can be set dynamically using the `\htmltracing{...}` command, whose argument is the desired value, or by using the more general `\HTMLset` command as follows: `\HTMLset{VERBOSITY}{``<num>}`.